# from mimetype_description import get_mime_type_description


def mimetype2FileType(mimetype: str) -> str:
    """
    Lookup table for mime type to file type.
    """
    convertDict = {
        "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": "Excel",
        "application/x-zip-compressed": "Compressed folder",
        "application/x-outlook-msg": "Mail message",
        "application/octet-stream": "Data file (csv?)",
        "image/png": "afbeelding",
        "image/bmp": "afbeelding",
        "Data file (csv?)": "document",
        "application/pdf": "pdf",
        "Mail message": "e-mail",
        "application/vnd.ms-outlook-template": "e-mail",
        "application/vnd.ms-excel": "Excel",
        "application/vnd.ms-excel.sheet.macroEnabled.12": "Excel",
        "text/html": "html",
        "application/vnd.openxmlformats-officedocument.presentationml.presentation": "PowerPoint",
        "application/vnd.ms-powerpoint": "PowerPoint",
        "application/msword": "Word",
        "application/vnd.openxmlformats-officedocument.wordprocessingml.document": "Word",
        "text/xml": "xml",
        "application/zip": "zip",
        "message/rfc822": "e-mail",
        "image/jpeg": "Afbeelding",
        "Mimetype not Found: None": "Samengesteld document/Snelkoppeling",
        "application/epub+zip": "epub+zip",
        "application/postscript": "Adobe Illustrator",
        "application/rtf": "text",
        "application/sdp": "sdp",
        "application/vnd.mindjet.mindmanager": "mind map",
        "application/vnd.ms-excel.template.macroEnabled.12": "Excel",
        "application/vnd.ms-word.document.12": "Word",
        "application/vnd.ms-word.document.macroEnabled.12": "Word",
        "application/vnd.oasis.opendocument.spreadsheet": "OpenDocument spreadsheet",
        "application/vnd.oasis.opendocument.text": "OpenDocument text",
        "application/x-delelec": "text",
        "image/pjpeg": "afbeelding",
        "image/tiff": "afbeelding",
        "image/x-png": "afbeelding",
        "text/csv": "csv",
        "text/plain": "text",
        "video/mp4": "video",
        "application/xer": "text",
        "drawing/dwg": "autocad",
        "application/vnd.ms-project": "project",
        "application/x-msdownload": "system file",
        "application/vnd.ms-tnef": "MS Transport Neutral Encapsulation Format",
        "image/vnd.dwg": "autocad",
        "application/x-url": "url",
        "application/vnd.ms-powerpoint.presentation.macroEnabled.12": "PowerPoint",
        "application/x-rar-compressed": "rar bestand",
        "audio/mpeg": "audio",
        "application/x-shockwave-flash": "animatiebestand",
        "application/vnd.openxmlformats-officedocument.presentationml.template": "PowerPoint",
        "application/vnd.oasis.opendocument.text-template": "OpenDocument text",
        "application/rdl": "RDL-bestand",
        "application/vnd.oasis.opendocument.database": "OpenDocument database",
        "application/msaccess": "Microsoft Access",
        "video/avi": "video",
        "application/x-javascript": "javascript bestand",
        "application/vnd.openxmlformats-officedocument.wordprocessingml.template": "Word",
        "application/vnd.ms-word.template.macroEnabled.12": "Word",
        "application/vnd.ms-powerpoint.presentation.12": "PowerPoint",
        "application/java": "java",
        "text/richtext": "text",
        "image/gif": "afbeelding",
        "image/x-citrix-pjpeg": "afbeelding",
        "application/vnd.ms-excel.sheet.12": "Excel",
        "application/vnd.ms-visio.drawing": "afbeelding",
        "image/vnd.dgn": "DGN file",
        "application/x-asap": "Compressed archive file",
        "image/x-emf": "afbeelding",
        "application/autocad_dwg": "autocad",
        "application/dwg": "autocad",
        "application/x-dwg": "autocad",
        "image/x-dwg": "autocad",
        "image/x-dxf": "autocad",
        "drawing/x-dwf": "autocad",
        "application/x-acad": "autocad",
        "application/x-autocad": "autocad",
    }
    return convertDict.get(mimetype) or "" + str(
        mimetype
    )  # or get_mime_type_description(mimetype)
